/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package cuisine;

import java.util.ArrayList;
import org.jdom.Element;

/**
 *
 * @author Vinh
 */
public class Plat {
    public String nom;
    public String description;
    public String typePlat;
    public String nombrePersonnes;
    public ArrayList<Ingredient> ingredients;
    public String recette;
    public Plat(Element e)
    {
        nom=e.getAttributeValue("nom");
        description=e.getAttributeValue("description");
        typePlat=e.getAttributeValue("typePlat");

        nombrePersonnes=e.getAttributeValue("nombrePersonnes");
        recette=e.getAttributeValue("recette");
        ingredients=new ArrayList<Ingredient>();
        for(Object o:e.getChildren("ingredient"))
        {
            ingredients.add(new Ingredient((Element) o));
        }
    }

    public Plat() {
        
    }
    public Element getElement()
    {
        Element e =new Element("plat"); 
        e.setAttribute("nom", nom);
        e.setAttribute("description", description);
        e.setAttribute("typePlat", typePlat);
   
        e.setAttribute("nombrePersonnes", nombrePersonnes);
        e.setAttribute("recette", recette);
        for(Ingredient in:ingredients)
            e.addContent(in.getElement());
            
        return e;
    }
    public String getIngrients()
    {
        String s="";
        for(Ingredient in: ingredients)
        {
            s+=in.nom+"-"+in.unite+"-" +in.nombre +"; ";
        }
        return s;
    }
    public boolean ContenirIngredient(String nomIngredient)
    {
        for(Ingredient in:ingredients)
            if(in.nom.equals(nomIngredient))
                return true;
        
        return false;
    }
}
