/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package cuisine;

import java.util.ArrayList;
import org.jdom.Element;

/**
 *
 * @author Vinh
 */
public class ListePlats {
    ArrayList<Plat> liste;
    public ListePlats(String nomFichier)
    {
        XMLFonctions.OuvrirXML(nomFichier);
        Element c=XMLFonctions.racine;
        liste=new ArrayList<Plat>();
        for(Object o:c.getChildren("plat"))
            liste.add(new Plat((Element) o));
    }
    public void Sauvegarder(String nomFichier)
    {
        Element e= new Element("cuisine");
        for(Plat p:liste)
            e.addContent(p.getElement());
        XMLFonctions.setRacine(e);
        XMLFonctions.enregistre(nomFichier);
    }
    public  ArrayList<Plat> ChercherSelonTypePlat(String typePlat)
    {
        ArrayList<Plat> arr=new ArrayList<>();
        for(Plat p:liste)
        {
            if(p.typePlat.equals(typePlat))
                arr.add(p);
        }
        return arr;
    }
    public  ArrayList<Plat> ChercherSelonIngredient(String nomIngredient)
    {
        ArrayList<Plat> arr=new ArrayList<>();
        for(Plat p:liste)
        {
            if(p.ContenirIngredient(nomIngredient))
                arr.add(p);
        }
        return arr;
    }
}
